From 8e39a4b4856f06271baee4068b4eddff14d85ce5 Mon Sep 17 00:00:00 2001
From: Eric Barbour <ebarbour@redhat.com>
Date: Jul 14 2016 14:40:39 +0000
Subject: [PATCH 538/1001] Change feed widget to card format


* Per discussion on #fedora-hubs, implement message limiting
* Per same discussion format the feed to look like other widgets in card
  format
* Update README to be explicit about what to do after building JS
asseets h/t skrzepto

---

diff --git a/hubs/static/client/app/components/Feed.jsx b/hubs/static/client/app/components/Feed.jsx
index 7498425..55ddfdb 100644
--- a/hubs/static/client/app/components/Feed.jsx
+++ b/hubs/static/client/app/components/Feed.jsx
@@ -8,6 +8,7 @@ import Icon from './Icon.jsx';
 import Markup from './Markup.jsx';
 import {Message, MessageList} from './Messages.jsx';
 
+const FEED_MESSAGE_LIMIT = 10;
 
 class Panel extends React.Component {
   render() {
@@ -38,6 +39,9 @@ export default class Feed extends React.Component {
     }
     this.source.onmessage = resp => {
       const data = JSON.parse(resp.data);
+      if(this.state.matches.length >= FEED_MESSAGE_LIMIT) {
+        this.state.matches.pop()
+      }
       this.state.matches.unshift(data);
       this.setState({matches: this.state.matches});
     };
@@ -47,9 +51,14 @@ export default class Feed extends React.Component {
       return <Panel match={match} />
     });
     return (
-      <div>
+      <div className="card">
+        <div className="card-header">
+          Live Feed
+        </div>
+      <div className="card-block">
         {feedNodes}
       </div>
+      </div>
     )
   }
 }

